import classes from "./App.module.css";
import Header from "../src/components/Header/Header";
import { Route } from "react-router-dom";
import AsideContainer from "./components/Aside/AsideContainer";
import MainGoodsContainer from "./components/Main/MainGoods/MainGoodsContainer";
import MainOneGoodContainer from "./components/Main/MainOneGood/MainOneGoodContainer";
import MainLoginContainer from "./components/Main/MainLogin/MainLoginContainer";
import MainRegisterContainer from "./components/Main/MainRegister/MainRegisterContainer";
import MainCartContainer from "./components/Main/MainCart/MainCartContainer";

function App(props) {
  return (
    <div className={classes.pageWrapper}>
      <Header></Header>
      <div className={classes.mainContainer}>
        <AsideContainer />
        <Route path="/categories/:id" render={() => <MainGoodsContainer />} />
        <Route path="/good/:id" render={() => <MainOneGoodContainer />} />
        <Route path="/login" render={() => <MainLoginContainer />} />
        <Route path="/register" render={() => <MainRegisterContainer />} />
        <Route path="/cart" render={() => <MainCartContainer />} />
      </div>
      <footer className={classes.footer}>some footer content</footer>
    </div>
  );
}

export default App;
