import React from "react";
import classes from "./FormControls.module.css";

export const FormControl = ({ input, meta, child, ...props }) => {
  const hasError = meta.touched && meta.error;

  return (
    <div
      className={classes.formControl + " " + (hasError ? classes.error : "")}
    >
      <div>{props.children}</div>
      {hasError && <span>{meta.error}</span>}
    </div>
  );
};


export const Input = (props) => {
    const { input, meta, child, ...restProps } = props
  return (
    <div>
      <FormControl {...props}>
        <input {...input} {...restProps} />
      </FormControl>
    </div>
  );
};
