import React from "react";
import { connect } from "react-redux";
import { NavLink } from "react-router-dom";
import { actionLogout } from "../../../redux/authReducer";
import classes from "./Login.module.css";


const Login = (props) => {
  
  return (
    
    <div className={classes.loginContainer}>
      { props.loggedIn ? (
        
        <div>
          {props.login} - <button className={classes.goodButton} onClick={props.actionLogout}>Logout</button>
        </div>
      ) : (
        <NavLink className={classes.loginLink} to={"/login"}>Login</NavLink>
      )}
    </div>
  );
};

let mapStateToProps = (store) => ({
  loggedIn: store.authReducer.token,
  login: store.authReducer.payload?.sub?.login,
});

export default connect(mapStateToProps, { actionLogout })(Login);
