import React, { useEffect, useState } from "react";
import classes from "./MainCart.module.css";
import { Redirect } from 'react-router';

const MainCart = (state) => {

  if (!state.loggedIn) {
    return <Redirect to={"/"} />
  }

const addOnClick = () => {
  if (state.cart) {
    state.actionCartAdd(state.good)
  }
}

const deleteOnClick = () => {
  if (state.cart) {
    state.actionCartDelete(state.good)
  }
}


  if (state.cart) {
    return (
      <div>
        <h1 className={classes.catHeader}>Cart</h1>
        <button onClick={() => state.actionCartClear()} className={classes.changeButton}>clear</button>
        <div className={classes.cardWrapper}>
          {Object.keys(state.cart).map(key => <div className={classes.divGood}>
            <img
              src={`http://shop-roles.asmer.fs.a-level.com.ua/${state.cart[key].good.images[0].url
                }`}
            />
            <div className={classes.goodLink}>
              {state.cart[key].good.name}
            </div>
            <div className={classes.goodPrice}>
              Цена: {state.cart[key].good.price} грн
            </div>
            <div>
             <div><button onClick={() => addOnClick()} className={classes.changeButton}>+</button><button onClick={() => {}} className={classes.changeButton}>-</button></div>
            </div>
            <div className={classes.goodPrice}>
              Колво: {state.cart[key].count} шт. {state.cart[key].count * state.cart[key].good.price} грн

            </div>
          </div>
          )}
        </div>
      </div>
    )
  } else {
    return <div className={classes.loader}>loading...</div>
  }
}

export default MainCart;
