import React, { useState } from "react";
import { useEffect } from "react";
import { useParams } from "react-router";
import classes from "./MainOneGood.module.css";

const MainOneGood = (state) => {
  let [clicked, setClicked] = useState(false)
  let [counter, setCount] = useState(0)


  let { id } = useParams();
  useEffect(() => state.drawGoodById(id), [id]);

  const addOnClick = (good) => {
    state.actionCartAdd(good)
    setClicked(true)
    setCount(counter + 1) 
  }

  if (state.good) {
    
    return (
      <div className={classes.divGood}>
        <img className={classes.goodImg} src={`http://shop-roles.asmer.fs.a-level.com.ua/${state.good.images[0].url}`}/>
        <h1 className={classes.goodLink}>{state.good.name}</h1>
        <div className={classes.goodLink}>{state.good.description}</div>
        <div className={classes.goodPrice}>Цена: {state.good.price} грн</div>
        <button onClick={() => addOnClick(state.good)} className={classes.goodButton} >Купить {clicked && <div>Added to cart! {counter}</div>}</button>
        </div> 
    );
  } else {
    return <div className={classes.loader}>loading...</div>;
  }
  
};
export default MainOneGood;
