import React, { useState } from "react";
import { Redirect } from "react-router";
import classes from "./MainRegister.module.css";

const MainRegister = (state) => {
  const [login, setLogin] = useState("");
  const [password, setPassword] = useState("");

  if (state.loggedIn) {
    return <Redirect to={"/"} />
  }

  let onAuth = (login, password) => {
    state.auth(login, password);
  };

  return (
    <div className={classes.divLoginHolder}>
      <div className={classes.divLogin}>
        <h1>Registration</h1>
        <div>
          <div>
            <div>Login</div>
            <input onChange={(event) => setLogin(event.target.value)} />
          </div>
          <div>
            <div>Password</div>
            <input onChange={(event) => setPassword(event.target.value)} />
          </div>
          <button
            className={classes.authButton}
            onClick={() => onAuth(login, password)}
          >
            Register
          </button>
        </div>
      </div>
    </div>
  );
};

export default MainRegister;
