import { actionPromise, shopGQL } from "./promiseReducer";

function cardReducer(state = {}, { type, count = 1, good }) {
  if (type === "CART_ADD") {
    console.log("+1");
    const _id = good._id;
    return {
      ...state,
      [_id]: { count: (state[_id]?.count || 0) + count, good },
    };
  }
  if (type === "CART_CLEAR") {
    return {};
  }
  if (type === "CART_DELETE") {
    const _id = good._id;
    debugger
    if (state[_id].count - 1 <= 0) {
      delete state[_id];
      return {};
    } else {
      return {
        ...state,
        [_id]: { count: state[_id]?.count - count, good },
      };
    }
  }
  return state;
}

export const actionCreateOrder = (_id, count) =>
  actionPromise(
    "createdOrder",
    shopGQL(
      `mutation createOrder($order:OrderInput){
        OrderUpsert(order:$order){
          _id
        }
      }`,
      {
        order: {
          orderGoods: [{ count: count, good: { _id: _id } }],
        },
      }
    )
  );

export const actionCartAdd = (good, count = 1) => ({
  type: "CART_ADD",
  count,
  good,
});
export const actionCartDelete = (good, count) => ({
  type: "CART_DELETE",
  count,
  good,
});
export const actionCartClear = (good, count = 1) => ({
  type: "CART_CLEAR",
  count,
  good,
});

export default cardReducer;
