import { combineReducers } from "redux";
import { createStore, applyMiddleware } from "redux";
import thunkMiddleware from "redux-thunk";
import authReducer from "./authReducer";
import promiseReducer from "./promiseReducer";
import cartReducer from "./cartReducer";
import {reducer as formReducer} from 'redux-form'


let reducers = combineReducers({
  promiseReducer: promiseReducer,
  authReducer: authReducer,
  cartReducer: cartReducer,
  form: formReducer,
});

const store = createStore(reducers, applyMiddleware(thunkMiddleware));

window.store = store;

export default store;
